Skip to content

Create store connection​

POST
/api/v1/store-connections

Creates a new store connection for the organization. Accepts platform-specific credentials (e.g., access token for Magento/Shopify, consumer key/secret for WooCommerce).

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
"name": "string",
"platform": "string",
"base_url": "string",
"access_token": "string",
"consumer_key": "string",
"consumer_secret": "string"
}

Responses​

Successful Response

application/json
JSON
{
"id": "string",
"name": "string",
"platform": "string",
"base_url": "string",
"status": "string",
"has_credentials": true,
"last_connected_at": "string",
"created_at": "string",
"updated_at": "string",
"project_count": 0
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI

XC AI Content Automation